summaryrefslogtreecommitdiff
path: root/tests/basic
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2008-10-26 01:59:55 -0400
committerDaniel Kahn Gillmor <dkg@fifthhorseman.net>2008-10-26 01:59:55 -0400
commit74b446aef77a46302430ee8aac7124f40d9bf1b4 (patch)
treebf5771d54f280d4c1802d85f0435de91660d665d /tests/basic
parent8859ba489c1234a3920cb121c177d06b3b8779f7 (diff)
testing: moved the LogLevel debugging for ssh into config files, added an ssh-agent to the final ssh invocation.
Diffstat (limited to 'tests/basic')
-rwxr-xr-xtests/basic31
1 files changed, 20 insertions, 11 deletions
diff --git a/tests/basic b/tests/basic
index d497d84..751dec4 100755
--- a/tests/basic
+++ b/tests/basic
@@ -2,17 +2,16 @@
# Tests to ensure that the monkeysphere is working
-# Author: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-# Date: 2008-09-13 13:40:15-0400
+# Authors:
+# Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+# Jameson Rollins <jrollins@fifthhorseman.net>
+# Copyright: 2008
+# License: GPL v3 or later
-# these tests might be best run under fakeroot, particularly the
-# "server-side" tests. Using fakeroot, they should be able to be run
+# these tests should all be able to
# as a non-privileged user.
-# NOTE: these tests have *not* themselves been tested yet
-# (2008-09-13). Please exercise with caution!
-
-# fail on fail
+# all subcommands in this script should complete without failure:
set -e
# gpg command for test admin user
@@ -20,6 +19,12 @@ gpgadmin() {
GNUPGHOME="$TEMPDIR"/admin/.gnupg gpg "$@"
}
+failed_cleanup() {
+# FIXME: can we be more verbose here?
+ echo 'FAILED!'
+ cleanup
+}
+
# cleanup:
cleanup() {
@@ -38,7 +43,7 @@ cleanup() {
}
## setup trap
-trap cleanup EXIT
+trap failed_cleanup EXIT
## set up some variables to ensure that we're operating strictly in
## the tests, not system-wide:
@@ -123,7 +128,7 @@ EOF
# launch test sshd with the new host key.
echo "### starting sshd..."
-socat EXEC:"/usr/sbin/sshd -f ${SSHD_CONFIG} -i -d -d -d -D -e" "UNIX-LISTEN:${SOCKET}" 2> "$TEMPDIR"/sshd.log &
+socat EXEC:"/usr/sbin/sshd -f ${SSHD_CONFIG} -i -D -e" "UNIX-LISTEN:${SOCKET}" 2> "$TEMPDIR"/sshd.log &
export SSHD_PID=$!
### TESTUSER TESTS
@@ -144,4 +149,8 @@ gpgadmin --armor --export "$HOSTKEYID" | \
echo "### testuser connecting to sshd socket..."
GNUPGHOME="$TEMPDIR"/testuser/.gnupg \
MONKEYSPHERE_HOME="$TEMPDIR"/testuser/.monkeysphere \
- ssh -F "$TEMPDIR"/testuser/.ssh/config -v -v -v testhost
+ ssh-agent bash -c \
+ 'monkeysphere subkey-to-ssh-agent && ssh -F "$TEMPDIR"/testuser/.ssh/config testhost'
+
+trap - EXIT
+cleanup